export const regExVIN = /^[A-HJ-NPR-Z0-9]{0,17}$/;

export const getVINOnChangeHandler = (setFn) => {
  return (e) => {
    const value = e?.target?.value.toUpperCase() ?? "";
    if (!value.match(regExVIN)) return;
    setFn(value.toUpperCase());
  }
}